unit UAmpel;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, MPlayer;

type
  TForm1 = class(TForm)
    Mitte: TShape;
    Unten: TShape;
    Oben: TShape;
    Schalten: TButton;
    hoch: TButton;
    rechts: TButton;
    links: TButton;
    zuruek: TButton;
    runter: TButton;
    Timer1: TTimer;
    automatisch: TCheckBox;
    procedure automatischClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure runterClick(Sender: TObject);
    procedure hochClick(Sender: TObject);
    procedure linksClick(Sender: TObject);
    procedure rechtsClick(Sender: TObject);
    procedure zuruekClick(Sender: TObject);
    procedure SchaltenClick(Sender: TObject);
    procedure zeitschalten();
  private
    { Private-Deklarationen }
    takt:integer;

  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.SchaltenClick(Sender: TObject);
begin
 if (timer1.Enabled=false) then
  begin
   zeitschalten();
  end;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  zeitschalten();
end;

procedure TForm1.automatischClick(Sender: TObject);
begin
  if (timer1.Enabled=false) then //auto an
    begin
      timer1.Enabled:=true;
    end
  else //auto aus
    begin
      timer1.Enabled:=false;
    end;

end;

procedure TForm1.zeitschalten();
begin
takt:=takt+1;
 if (takt=1) then  //rot
  begin
   Oben.Brush.Color:=clred;
   Mitte.Brush.Color:=clblack;
  end;
 if (takt=2) then //rot-gelb
  begin
    Mitte.Brush.Color:=clyellow;
  end;
 if (takt=3) then
  begin
   Oben.Brush.Color:=clblack;
   Mitte.Brush.Color:=clblack;
   Unten.Brush.Color:=clgreen;
  end;
 if (takt=4) then   //gelb
  begin
   Unten.Brush.Color:=clblack;
   Mitte.Brush.Color:=clyellow;
   takt:=0;
  end;

end;


procedure TForm1.zuruekClick(Sender: TObject);
begin
 oben.Top:=16;   //erster Punkt
 oben.Left:=40;
 mitte.Top:=192; //zweiter Punkt
 mitte.Left:=40;
 unten.Top:=368; //dritter Punkt
 unten.Left:=40;
end;

procedure TForm1.hochClick(Sender: TObject);
begin
 oben.top:=oben.top-5; //erster Punkt
 mitte.top:=mitte.top-5; //zweiter Punkt
 unten.top:=unten.top-5; //dritter Punkt
end;

procedure TForm1.linksClick(Sender: TObject);
begin
 oben.Left:=oben.Left+5; //erster Punkt
 mitte.Left:=mitte.Left+5; //zweiter Punkt
 unten.Left:=unten.Left+5; //dritter Punkt
end;

procedure TForm1.rechtsClick(Sender: TObject);
begin
 oben.Left:=oben.Left-5; //erster Punkt
 mitte.Left:=mitte.Left-5; //zweiter Punkt
 unten.Left:=unten.Left-5; //dritter Punkt
end;

procedure TForm1.runterClick(Sender: TObject);
begin
 oben.top:=oben.top+5; //erster Punkt
 mitte.top:=mitte.top+5; //zweiter Punkt
 unten.top:=unten.top+5; //dritter Punkt
end;

end.
