unit uPong;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    ball: TShape;
    paddle1: TShape;
    Timer1: TTimer;
    Label1: TLabel;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private-Deklarationen }
    ballvx: Integer;
    ballvy: Integer;
    ballradius: Integer;
    paddle1v: Integer;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  button1.visible:=false;
  ball.left:=112;
  ball.Top:=120;
  ballvx:=9;
  ballvy:=9;
  ballradius:=15;
  paddle1v:=0;
  paddle1.Left:=192;
  paddle1.Top:=300;

  label1.Visible  := false;
  ball.visible := true;
  timer1.enabled := true;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ballvx:=9;
  ballvy:=9;
  ballradius:=15;
  paddle1v:=0;
end;

procedure TForm1.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if (key='a') then
  begin
    paddle1v := -9;
  end;
  if (key='d') then
  begin
    paddle1v := 9;
  end;
end;


procedure TForm1.FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
    paddle1v := 0;
end;



procedure TForm1.Timer1Timer(Sender: TObject);
begin
  // Paddle1 bewegen
  paddle1.Left := paddle1.left + paddle1v;


  // Paddle auerhalb

  //links
  if (paddle1.Left <0) then
  begin
    paddle1.left := 0;
  end;
  //rechts
  if paddle1.Left + paddle1.Width >=500 then
  begin
    paddle1.Left :=500 - paddle1.Width;
  end;

  // Ball bewegen
  ball.top := ball.top + ballvy;
  ball.left := ball.left + ballvx;

  // Ball auerhalb?

  //links
  if (ball.left <= 0) then
  begin
    ballvx := -ballvx;
  end;
  //Rechts
  if (ball.left + 2*ballradius >= 500) then
  begin
    ballvx := -ballvx;
  end;
  //oben
  if (ball.top <= 0) then
  begin
    ballvy := -ballvy;
  end;
  //unten
  if (ball.top+2*ballradius >= 300) then
  begin
    if (ball.Left + ballradius >= paddle1.Left) and (ball.Left+ballradius <= paddle1.Left+paddle1.width) then
    begin
      // auf paddle
      ballvy := -ballvy;
    end
    else
    begin
      // nicht auf paddle
      label1.Visible  := True;
      ball.visible := false;
      timer1.enabled := false;
      button1.Visible:=true;
    end;
  end;


end;

end.
